
package de.ivu.elect.business.person.boundary;

import java.io.Serializable;

import de.ivu.elect.business.person.entity.Personendaten;

import de.ivu.elect.jee.entity.customdata.DefaultCustomData;


/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class PersonendatenFactory implements Serializable {

  private static final long serialVersionUID = 1L;


  public Personendaten create() {
        Personendaten entity = new Personendaten(
              createCustomData()
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(Personendaten entity) {
    // Do nothing.
  }

  public DefaultCustomData createCustomData() {
        return de.ivu.elect.jee.entity.customdata.EmptyCustomData.INSTANCE;
      }
}
